List Available Days

Returns, for 14 consecutive days from start_date, whether each day has at least one free slot
for the service or pack at the location.

Important Notes

  • Requires available_slots:read scope (the same as GET /v3/available_slots).
  • Exactly one of service_id or bundle_id is required.
  • A day is available with the same rules as GET /v3/available_slots; ask that endpoint for the
    times of a day.

Errors Dictionary

StatusErrorDetailDescription
400invalid_date—start_date is not a valid date.
400empty_services—No active service was found for the given id.
401unauthorizedinvalid_api_keyMissing or invalid Bearer token.
401unauthorizedapi_config_inactiveAPI access is inactive for this company.
403forbiddenscope_deniedAPI key lacks available_slots:read scope.
404location_not_found · provider_not_found · service_not_found · bundle_not_found—The location, provider, service or pack does not exist or belongs to another company (the key names which).
422date_in_the_past—The requested date is in the past.
429rate_limitedburst_limit_exceededPer-minute request limit exceeded.
429rate_limiteddaily_quota_exceededDaily request quota exceeded.
502upstream_unavailableconnection_failedThe upstream service is unavailable.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

Location ID.

date
required

First day to evaluate (YYYY-MM-DD).

integer

Service ID (or bundle_id).

integer

Service pack ID (see GET /v3/bundles), instead of service_id.

integer

Only this provider.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json